INTERFACE
SUBROUTINE RFMR (KST, KEND, KPROMA, KTDIA , KLEV,&
 & KMODE , KFLUX , KRAD,&
 & PALBD , PALBP , PAPRS , PAPRSF , PCCO2 , PCLFR,&
 & PQO3 , PAER , PDP , PEMIS , PMU0,&
 & PQ , PQS , PQIWP , PQLWP , PSLM , PT , PTS,&
 & PEMTD , PEMTU , PTRSO,&
 & PTH , PCTRSO, PCEMTR, PTRSOD,&
 & PLWFC, PLWFT, PSWFC, PSWFT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KFLUX
INTEGER(KIND=JPIM),INTENT(IN) :: KRAD
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQO3(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KPROMA,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTD(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMTU(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSO(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTH(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCTRSO(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCEMTR(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTRSOD(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFT(KPROMA,KLEV+1)
END SUBROUTINE RFMR
END INTERFACE
